(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["jssDefaultUnit"] = factory();
	else
		root["jssDefaultUnit"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = defaultUnit;

	var _numericProps = __webpack_require__(1);

	var _numericProps2 = _interopRequireDefault(_numericProps);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/**
	 * Add unit to numeric values.
	 *
	 * @param {Rule} rule
	 * @api public
	 */
	function defaultUnit() {
	  var options = arguments.length <= 0 || arguments[0] === undefined ? { unit: 'px' } : arguments[0];

	  return function (rule) {
	    var style = rule.style;
	    var type = rule.type;

	    if (!style || type !== 'regular') return;
	    for (var prop in style) {
	      if (!_numericProps2.default[prop] && typeof style[prop] == 'number' && style[prop] !== 0) {
	        style[prop] += options.unit;
	      }
	    }
	  };
	}

/***/ },
/* 1 */
/***/ function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	// Don't automatically add unit to these possibly-unitless properties.
	exports.default = {
	  'animation-iteration-count': true,
	  'border-image-outset': true,
	  'border-image-slice': true,
	  'border-image-width': true,
	  'box-flex': true,
	  'box-flex-group': true,
	  'box-ordinal-group': true,
	  'column-count': true,
	  'flex': true,
	  'flex-grow': true,
	  'flex-positive': true,
	  'flex-shrink': true,
	  'flex-negative': true,
	  'flex-order': true,
	  'font-weight': true,
	  'grid-row': true,
	  'grid-column': true,
	  'line-clamp': true,
	  'line-height': true,
	  'opacity': true,
	  'order': true,
	  'orphans': true,
	  'tab-size': true,
	  'widows': true,
	  'z-index': true,
	  'zoom': true,

	  // SVG-related properties
	  'fill-opacity': true,
	  'flood-opacity': true,
	  'stop-opacity': true,
	  'stroke-dasharray': true,
	  'stroke-dashoffset': true,
	  'stroke-miterlimit': true,
	  'stroke-opacity': true,
	  'stroke-width': true
	};

/***/ }
/******/ ])
});
;