'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = defaultUnit;

var _numericProps = require('./numericProps');

var _numericProps2 = _interopRequireDefault(_numericProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Add unit to numeric values.
 *
 * @param {Rule} rule
 * @api public
 */
function defaultUnit() {
  var options = arguments.length <= 0 || arguments[0] === undefined ? { unit: 'px' } : arguments[0];

  return function (rule) {
    var style = rule.style;
    var type = rule.type;

    if (!style || type !== 'regular') return;
    for (var prop in style) {
      if (!_numericProps2.default[prop] && typeof style[prop] == 'number' && style[prop] !== 0) {
        style[prop] += options.unit;
      }
    }
  };
}